org.apache.solr.common.cloud

## Interface ZkClientConnectionStrategy.ZkUpdate

Enclosing class:
  ZkClientConnectionStrategy

    public static interface ZkClientConnectionStrategy.ZkUpdate

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `update(SolrZooKeeper zooKeeper)`

### Method Detail

#### update

    void update(SolrZooKeeper zooKeeper)
         throws InterruptedException,
                TimeoutException,
                IOException

Throws:
  `InterruptedException`
  `TimeoutException`
  `IOException`